#!/usr/bin/make -f

%:
	dh $@ --with maven-repo-helper

override_dh_auto_configure:
	ln -s -f /usr/share/java/cup.jar lib/cup.jar
	ln -s -f /usr/share/java/commons-collections3.jar lib/commons-collections3.jar
	ln -s -f /usr/share/java/commons-dbcp.jar lib/commons-dbcp.jar
	ln -s -f /usr/share/java/commons-io.jar lib/commons-io.jar
	ln -s -f /usr/share/java/commons-logging.jar lib/commons-logging.jar
	ln -s -f /usr/share/java/commons-math.jar lib/commons-math.jar
	ln -s -f /usr/share/java/commons-pool.jar lib/commons-pool.jar
	ln -s -f /usr/share/java/commons-vfs2.jar lib/commons-vfs2.jar
	ln -s -f /usr/share/java/eigenbase-properties.jar lib/eigenbase-properties.jar
	ln -s -f /usr/share/java/eigenbase-resgen.jar lib/eigenbase-resgen.jar
	ln -s -f /usr/share/java/eigenbase-xom.jar lib/eigenbase-xom.jar
	ln -s -f /usr/share/java/javacc.jar lib/javacc.jar
	ln -s -f /usr/share/java/jaxp-1.4.jar lib/jaxp.jar
	ln -s -f /usr/share/java/jsp-api.jar lib/jsp-api.jar
	ln -s -f /usr/share/java/log4j-1.2.jar lib/log4j.jar
	ln -s -f /usr/share/java/olap4j.jar lib/olap4j.jar
	ln -s -f /usr/share/java/servlet-api.jar lib/servlet-api.jar
	ln -s -f /usr/share/java/xalan2.jar lib/xalan2.jar
	ln -s -f /usr/share/java/xercesImpl.jar lib/xerces.jar

override_dh_auto_build:
	dh_auto_build -- jar -Dskip.download=true -Djavac.source=8 -Djavac.target=8
